com.independentsoft.exchange

## Class PreviewItem

- java.lang.Object
- - com.independentsoft.exchange.PreviewItem

-     public class PreviewItem
      extends java.lang.Object

  Represents Mailbox search preview item.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PreviewItem()` Initializes a new instance of the PreviewItem class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getBccRecipients()` Gets the bcc recipients.
    `java.util.List<java.lang.String>` | `getCcRecipients()` Gets the cc recipients.
    `java.util.Date` | `getCreatedTime()` Gets the date and time that a given item in the mailbox was created.
    `ExtendedPropertyList` | `getExtendedProperties()` Gets a list of extended properties that are defined on this item.
    `Importance` | `getImportance()` Gets the importance of an item.
    `java.lang.String` | `getItemClass()` Gets the message class of an item.
    `ItemId` | `getItemId()` Gets the unique identifier and change key of an item in the Exchange store.
    `PreviewItemMailbox` | `getMailbox()` Gets the mailbox.
    `java.lang.String` | `getOwaLink()` Gets the owa link.
    `ItemId` | `getParentItemId()` Gets the identifier of the parent item.
    `java.lang.String` | `getPreview()` Gets the preview.
    `java.util.Date` | `getReceivedTime()` Gets the received time.
    `java.lang.String` | `getSender()` Gets the sender.
    `java.util.Date` | `getSentTime()` Gets the sent time.
    `int` | `getSize()` Gets the size in bytes of an item.
    `java.lang.String` | `getSortValue()` Gets the sort value.
    `java.lang.String` | `getSubject()` Gets the subject for Exchange store items and response objects.
    `java.util.List<java.lang.String>` | `getToRecipients()` Gets the to recipients.
    `java.lang.String` | `getUniqueHash()` Gets the unique hash.
    `boolean` | `hasAttachment()` Returns true if an item has attachments at least one visible attachment.
    `boolean` | `isRead()` Checks if is read.
    `java.lang.String` | `toString()` Converts the value of the current PreviewItem object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PreviewItem

          public PreviewItem()

      Initializes a new instance of the PreviewItem class.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current PreviewItem object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getItemId

          public ItemId getItemId()

      Gets the unique identifier and change key of an item in the Exchange store.
      Returns:
        the item id

    - #### getMailbox

          public PreviewItemMailbox getMailbox()

      Gets the mailbox.
      Returns:
        the mailbox

    - #### getParentItemId

          public ItemId getParentItemId()

      Gets the identifier of the parent item.
      Returns:
        the parent item id

    - #### getItemClass

          public java.lang.String getItemClass()

      Gets the message class of an item.
      Returns:
        the item class

    - #### getUniqueHash

          public java.lang.String getUniqueHash()

      Gets the unique hash.
      Returns:
        the unique hash

    - #### getSortValue

          public java.lang.String getSortValue()

      Gets the sort value.
      Returns:
        the sort value

    - #### getOwaLink

          public java.lang.String getOwaLink()

      Gets the owa link.
      Returns:
        the owa link

    - #### getSender

          public java.lang.String getSender()

      Gets the sender.
      Returns:
        the sender

    - #### getToRecipients

          public java.util.List<java.lang.String> getToRecipients()

      Gets the to recipients.
      Returns:
        the to recipients

    - #### getCcRecipients

          public java.util.List<java.lang.String> getCcRecipients()

      Gets the cc recipients.
      Returns:
        the cc recipients

    - #### getBccRecipients

          public java.util.List<java.lang.String> getBccRecipients()

      Gets the bcc recipients.
      Returns:
        the bcc recipients

    - #### getCreatedTime

          public java.util.Date getCreatedTime()

      Gets the date and time that a given item in the mailbox was created.
      Returns:
        the created time

    - #### getReceivedTime

          public java.util.Date getReceivedTime()

      Gets the received time.
      Returns:
        the received time

    - #### getSentTime

          public java.util.Date getSentTime()

      Gets the sent time.
      Returns:
        the sent time

    - #### getSubject

          public java.lang.String getSubject()

      Gets the subject for Exchange store items and response objects.
      Returns:
        the subject

    - #### getSize

          public int getSize()

      Gets the size in bytes of an item.
      Returns:
        the size

    - #### getPreview

          public java.lang.String getPreview()

      Gets the preview.
      Returns:
        the preview

    - #### getImportance

          public Importance getImportance()

      Gets the importance of an item.
      Returns:
        the importance

    - #### isRead

          public boolean isRead()

      Checks if is read.
      Returns:
        true, if is read

    - #### hasAttachment

          public boolean hasAttachment()

      Returns true if an item has attachments at least one visible attachment.
      Returns:
        true, if successful

    - #### getExtendedProperties

          public ExtendedPropertyList getExtendedProperties()

      Gets a list of extended properties that are defined on this item.
      Returns:
        the extended properties